Skip to main content
POST/products/import/

Bulk products import

You can import your products from CSV files using REST API. The CSV file requires the usage of standardized attribute names for the header row, or you can use column mapping to map your custom column names. You can check the progress of your import with a GET request.

Maximum file size: 200MB

Parameters​

ParameterDescription
separatorAllows to choose separator type in CSV file during import. Available options: comma (default), tab, semicolon. Example usage: ?separator=semicolon
AttributesTypeRequiredDescription
input_filefileyesA valid CSV file
column_mappingjsonnoOptional parameter to map CSV column names to different field names during import. Example: {"product": "custom_id", "url": "product_url"}

Request​

curl --location --request POST 'https://<your_app_subdomain>.user.com/api/public/products/import/' \
--header "Authorization: Token <your_64_char_api_key>" \
--header 'Accept: */*; version=2"' \
--form 'input_file=@"path/to/file.csv"'

Response​

{
"success": true,
"data": {
"import_id": "186dd245-475c-4a18-ba3e-046ad8fd3585"
}
}